      real*8, dimension(10) :: d
c
C      nclamps=95 ! excludes clamp at poloidal joint
C      npts=4 ! 4 for base & layer, 10 for tee and side
C      nloc=1 ! poloidal measurement locations per clamp
C      nblock=30 ! 38 for base & layer, 56 for tee and side
      read(*,*) nclamps, npts, nloc, nblock
c
      do i=1,nclamps
        do j=1,nloc
          do k=1,npts
            read(*,*) d(k)
          enddo
          write(*,"(i5,10f8.3)") i,d(1:npts)
        enddo
c
        do jk=nloc*npts+1,nblock ! skip blank space left by romer arm software
        read(*,*,end=99)
        enddo
      enddo
 99   continue
      stop
      end
